Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11InternalCert

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Cert
            |
            +--org.mozilla.jss.pkcs11.PK11InternalCert

All Implemented Interfaces:
  InternalCertificate, X509Certificate

Direct Known Subclasses:
  PK11InternalTokenCert

public class PK11InternalCert
extends PK11Cert
implements InternalCertificate

A certificate that lives in the internal cert database.

Inner classes inherited from class org.mozilla.jss.pkcs11.PK11Cert
`PK11Cert.StringPrincipal`

Field Summary
`static int` | `EMAIL`
`static int` | `OBJECT_SIGNING`
`static int` | `SSL`

Fields inherited from class org.mozilla.jss.pkcs11.PK11Cert
`certProxy`

Fields inherited from interface org.mozilla.jss.crypto.InternalCertificate
`TRUSTED_CA, TRUSTED_CLIENT_CA, TRUSTED_PEER, USER, VALID_CA, VALID_PEER`

Constructor Summary
`(package private)` | `PK11InternalCert(byte[] pointer)`

Method Summary
`int` | `getEmailTrust()` Get the email (S/MIME) trust flags for this certificate.
`int` | `getObjectSigningTrust()` Get the object signing trust flags for this certificate.
`int` | `getSSLTrust()` Get the SSL trust flags for this certificate.
`void` | `setEmailTrust(int trust)` Set the email (S/MIME) trust flags for this certificate.
`void` | `setObjectSigningTrust(int trust)` Set the object signing trust flags for this certificate.
`void` | `setSSLTrust(int trust)` Set the SSL trust flags for this certificate.

Methods inherited from class org.mozilla.jss.pkcs11.PK11Cert
`getEncoded, getIssuerDN, getIssuerDNString, getNickname, getOwningToken, getPublicKey, getSerialNumber, getSerialNumberByteArray, getSubjectDN, getSubjectDNString, getTrust, getUniqueID, getVersion, setTrust`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.crypto.X509Certificate
`getEncoded, getIssuerDN, getNickname, getPublicKey, getSerialNumber, getSubjectDN, getVersion`

Field Detail

### SSL

    public static final int SSL

### EMAIL

    public static final int EMAIL

### OBJECT_SIGNING

    public static final int OBJECT_SIGNING

Constructor Detail

### PK11InternalCert

    PK11InternalCert(byte[] pointer)

Method Detail

### setSSLTrust

    public void setSSLTrust(int trust)

  Set the SSL trust flags for this certificate.
  Specified by:
    `setSSLTrust` in interface `InternalCertificate`
  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### setEmailTrust

    public void setEmailTrust(int trust)

  Set the email (S/MIME) trust flags for this certificate.
  Specified by:
    `setEmailTrust` in interface `InternalCertificate`
  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### setObjectSigningTrust

    public void setObjectSigningTrust(int trust)

  Set the object signing trust flags for this certificate.
  Specified by:
    `setObjectSigningTrust` in interface `InternalCertificate`
  Parameters:
    `trust` - A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getSSLTrust

    public int getSSLTrust()

  Get the SSL trust flags for this certificate.
  Specified by:
    `getSSLTrust` in interface `InternalCertificate`
  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getEmailTrust

    public int getEmailTrust()

  Get the email (S/MIME) trust flags for this certificate.
  Specified by:
    `getEmailTrust` in interface `InternalCertificate`
  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

### getObjectSigningTrust

    public int getObjectSigningTrust()

  Get the object signing trust flags for this certificate.
  Specified by:
    `getObjectSigningTrust` in interface `InternalCertificate`
  Returns:
    A bitwise OR of the trust flags VALID_PEER, VALID_CA, TRUSTED_CA, USER, and TRUSTED_CLIENT_CA.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD